大带宽_直播cdn方案_最新活动

资讯 虚拟云 浏览

小编:Eclipse中的BOPF建模 SAP在版本SAP\u BS\u FND 747 SP04中发布了新的基于Eclipse的BOPF建模设计时间。 基于Eclipse的业务对象编辑器在版本2.24的ABAP Eclipse开发工具中可用。 当我们已经有了基于SA

大带宽_直播cdn方案_最新活动

Eclipse中的BOPF建模

SAP在版本SAP\u BS\u FND 747 SP04中发布了新的基于Eclipse的BOPF建模设计时间。

基于Eclipse的业务对象编辑器在版本2.24的ABAP Eclipse开发工具中可用。

当我们已经有了基于SAP GUI的工具BOB、BOBX,对于另一个基于Eclipse的设计时间有什么需要?为了回答这个问题,我想强调一下Eclipse相对于sapgui的几个优点。我相信你在使用它的时候会发现更多。F1帮助每个屏幕的集成

Eclipse在第一个版本中提供以下功能,

要在Eclipse中安装新的BOPF编辑器,阿里云优惠券,只需访问SAP Development Tools for Eclipse的更新站点并按照安装说明进行操作。

请继续关注有关Eclipse中BOPF的更多教程。

嗨,Panneer,

很好的帖子!不幸的是,我们需要一个NetWeaver 7.4来使用Eclipse中的建模

AFAIK"旧的"GUI建模从7.31甚至更早的版本就可以使用了。

br

chris

Hi Christian,

目前用于BOPF的Eclipse建模只在7.4堆栈中可用。我们目前正在收集反馈,我们还做了一些取舍,使其功能在7.4中完成。然后我们可以考虑下载到旧版本

问候,

Panneer

嗨Panneer,

thx将BOPF集成到Eclipse中。

是否有计划将"导出模式"(附加字段,例如设置BOs为可增强)和BOPF增强工作台功能也集成到Eclipse中?

Thx,

Florian

嗨Florian,

是的,计划将Eclipse编辑器作为功能完整的工具。增强支持也将是Eclipse工具的一部分。在即将发布的版本中,云存储哪个好,这些特性将包括在内。

问候,

Panneer

嗨Panneer,

我尝试在eclipse中使用BOPF工具。但是,系统也处于正确的补丁级别(SAP\u BS\u FND 747 0007),我收到一条错误消息,表示不支持BOPF工具。

是否需要在后端系统中配置其他东西,以便BOPF工具工作?或者对特定的内核版本有依赖性吗?

最好,

克里斯蒂安

嗨,克里斯蒂安,

你能告诉我你正在使用的eclipse版本吗?你最近从哪里下载了Eclipse?你也可以发布错误信息的截图吗?

问候,

潘尼埃

潘尼埃你好,

我更详细地调查了这个问题。在这样做时,我注意到eclipse试图在URL/sap/bc/adt/BOPF/discovery中发现BOPF资源。后端用HTTP404回复这个GET请求。

根本原因似乎是BAdI实现/BOBF/CONF\u RES\u DISCOVERY包含一个URL/sap/ap/adt/bopf/DISCOVERY的过滤器(即/sap/ap/)。。。而不是/sap/bc/…)。在修改BAdI过滤器和BAdI实现类中的静态URL之后,工具工作了。

因此,共享云服务器,我提出了一个OSS注释来报告错误。

Best,

Christian

Hi Christian,

我们已经解决了问题。

请使用注释2195181"业务对象未在AiE中打开"。

如果您遇到任何问题,请告知我们。

谢谢并问候,

Shyam

嗨Shyam,哇云服务器,

谢谢,注释解决了问题。

Christian

各位专家,大家好,

我们使用CDS视图生成了bopf,我们需要实施状态和行动管理。如果在txn/bopf/conf\ ui中打开bopf对象,实时数据库,则无法在sapgui中编辑此对象以进行设置。同样在bopfadt中,没有将status类分配给根节点的选项。如何处理此类对象的状态管理?

致以最诚挚的问候,

文章来源:www.vmchk.com

 
你可能喜欢的: